Package: jekyll / 2.2.0+dfsg-2

0001-Drop-SimpleCov-dependencies.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
From: Debian Ruby Extras Maintainers
 <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Date: Fri, 2 May 2014 15:38:28 +0900
Subject: Drop SimpleCov dependencies

---
 test/helper.rb | 9 ---------
 1 file changed, 9 deletions(-)

--- jekyll.orig/test/helper.rb
+++ jekyll/test/helper.rb
@@ -1,7 +1,3 @@
-require 'simplecov'
-require 'simplecov-gem-adapter'
-SimpleCov.start('gem')
-
 require 'rubygems'
 require 'test/unit'
 require 'ostruct'
--- jekyll.orig/jekyll.gemspec
+++ jekyll/jekyll.gemspec
@@ -56,8 +56,6 @@
   s.add_development_dependency('maruku', "~> 0.7.0")
   s.add_development_dependency('rdiscount', "~> 1.6")
   s.add_development_dependency('launchy', "~> 2.3")
-  s.add_development_dependency('simplecov', "~> 0.7")
-  s.add_development_dependency('simplecov-gem-adapter', "~> 1.0.1")
   s.add_development_dependency('mime-types', "~> 1.5")
   s.add_development_dependency('activesupport', '~> 3.2.13')
   s.add_development_dependency('jekyll_test_plugin')